source /etc/clfs.dat

#mkdir -pv ${CLFS}
install -dv ${CLFS}

mkdir -v ${CLFS}/sources
chmod -v a+wt ${CLFS}/sources

mkdir -v ${CLFS}/ubuilds
chmod -v a+wt ${CLFS}/ubuilds

mkdir -v ${CLFS}/work
chmod -v a+wt ${CLFS}/work

# como root


install -dv ${CLFS}/tools
ln -sv ${CLFS}/tools /
# create a /tools symlink on the host system. This will point to the newly-created directory on the CLFS partition. Run this command as root as well

install -dv ${CLFS}/cross-tools
ln -sv ${CLFS}/cross-tools /

#The symlink isn't technically necessary (though the book's instructions do assume its existence), but is there mainly for consistency (because /tools is also symlinked to ${CLFS}/tools) and to simplify the installation of the cross-compile tools. 

/usr/sbin/groupadd clfs
/usr/sbin/useradd -s /bin/bash -g clfs -d /home/clfs clfs
#passwd clfs 
#solo primera vez


mkdir -pv /home/clfs
chown -v clfs:clfs /home/clfs
chown -v clfs ${CLFS}/tools
chown -v clfs ${CLFS}/cross-tools
chown -v clfs ${CLFS}/sources
chown -v clfs ${CLFS}/work
chown -v clfs ${CLFS}/ubuilds


#Next, login as user clfs. This can be done via a virtual console, through a display manager, or with the following substitute user command:

#####################################################################################################3

#

