PROGS="linuxheaders file ncurses gmp mpfr ppl cloog binutils gccstatic eglibc32 eglibc64 gccfinal"

linuxheaders=2.6.30.5.1
file=5.03
ncurses=5.7
gmp=4.3.1
mpfr=2.4.1
ppl=0.10.2
cloog=0.17.17
binutils=2.20
gccstatic=4.4.2
gccfinal=4.4.2
eglibc32=2.10.1
eglibc64=2.10.1



source /etc/clfs.dat

ORIGEN=${CLFS}/sources
BAJAR=$ORIGEN
ABRIR=${CLFS}/work

PATCHSERV=http://patches.cross-lfs.org/dev
ADIR=`pwd`



get(){
#echo http $1 
#echo name $2
#echo ext $3
echo "********************** GET $2"
# poner comando manual para sacar este if si hace falta rebajar 
#if ! test -e $BAJAR/$2$3; then  # ya esta makefile
  echo wget  -P${BAJAR}  -c $1$2$3  
  wget  -P${BAJAR}  -c $1$2$3
#fi

DIRE=$2
if test "x$4" != x ; then 
DIRE=$4
fi
#echo existe ${ABRIR}/$DIRE
#if ! test -d ${ABRIR}/$DIRE; then # ya esta makefile
echo "***************************************************************************** tar $2$3"
if test "x$3" = x.tar.gz  ; then
  echo tar -zxvf ${BAJAR}/$2$3 -C ${ABRIR}
  tar -zxvf ${BAJAR}/$2$3 -C${ABRIR}
else
  echo tar -jxvf ${BAJAR}/$2$3 -C ${ABRIR}
  tar -jxvf ${BAJAR}/$2$3 -C${ABRIR}
fi
#fi
echo "***********"
#pwd
#echo escriba algo y de enter:
#read XXX
}


gpatch(){
if ! test -e ${BAJAR}/$2; then  
   echo wget  -P${BAJAR} -c $1$2
   wget  -P${BAJAR} -c $1$2
fi
cd  ${ABRIR}/$3
patch -Np1 -i ../$2
echo fin para no mostrar error de patch $2, cuando ya fue aplicado
}

for i in $PROGS; do
#  mkdir ubuilds/$i
#  touch ubuilds/$i/${i}-${!i}.ubuild
 source ubuilds/$i/${i}-${!i}.ubuild
done 
#exit




###############################################################################################################

#######################################################################################################3

#######################################################################################################

# ncurses

#######################################################################################################
# GMP

#######################################################################################################
# MPFR

#######################################################################################################
# PPL

#######################################################################################################
# CLOOG


###########################################################################


#############################################################################

########################################################3

######################3


if test "x$1" != x ; then
echo ejecuta $1 $2
$1 $2
# declare -F $2  
# echo NNN $?
fi
###############





#exit; no puede porque sale de source 

if test 1 = 2; then
     gpatch  http://ftp.gnu.org/gnu/autoconf/autoconf-2.61.tar.bz2
     gpatch  http://ftp.gnu.org/gnu/automake/automake-1.10.1.tar.bz2
     gpatch  http://ftp.gnu.org/gnu/bash/bash-3.2.tar.gz
     gpatch  http://ftp.gnu.org/gnu/bash/bash-doc-3.2.tar.gz

     gpatch  http://ftp.gnu.org/gnu/bison/bison-2.3.tar.bz2
     gpatch  http://www.bzip.org/1.0.4/bzip2-1.0.4.tar.gz
     gpatch  http://cross-lfs.org/files/packages/1.1.0/bootscripts-cross-lfs-1.1.0.tar.bz2
     gpatch  http://ftp.gnu.org/gnu/coreutils/coreutils-6.9.tar.bz2
     gpatch  http://ftp.gnu.org/gnu/dejagnu/dejagnu-1.4.4.tar.gz
     gpatch  ftp://alpha.gnu.org/gnu/diffutils/diffutils-2.8.7.tar.gz
     gpatch  http://downloads.sourceforge.net/e2fsprogs/e2fsprogs-1.40.4.tar.gz
     gpatch  http://expect.nist.gov/src/expect-5.43.0.tar.gz

     gpatch  http://ftp.gnu.org/gnu/findutils/findutils-4.2.32.tar.gz
     gpatch  http://downloads.sourceforge.net/flex/flex-2.5.35.tar.bz2
     gpatch  http://ftp.gnu.org/gnu/gawk/gawk-3.1.6.tar.bz2

     gpatch  http://ftp.gnu.org/gnu/gettext/gettext-0.17.tar.gz

     gpatch  http://ftp.gnu.org/gnu/grep/grep-2.5.3.tar.bz2
     gpatch  http://ftp.gnu.org/gnu/groff/groff-1.19.2.tar.gz
     gpatch  http://ftp.gnu.org/gnu/gzip/gzip-1.3.12.tar.gz
     gpatch  http://www.sethwklein.net/projects/iana-etc/downloads/iana-etc-2.20.tar.bz2
     gpatch  http://ftp.gnu.org/gnu/inetutils/inetutils-1.5.tar.gz
     gpatch  http://developer.osdl.org/dev/iproute2/download/iproute2-2.6.23.tar.bz2
     gpatch  http://ftp.altlinux.com/pub/people/legion/kbd/kbd-1.13.tar.bz2
     gpatch  http://www.greenwoodsoftware.com/less/less-418.tar.gz
     gpatch  http://ftp.gnu.org/gnu/libtool/libtool-1.5.26.tar.gz

     gpatch  http://ftp.gnu.org/gnu/m4/m4-1.4.10.tar.bz2
     gpatch  http://ftp.gnu.org/gnu/make/make-3.81.tar.bz2
     gpatch  http://primates.ximian.com/~flucifredi/man/man-1.6e.tar.gz
     gpatch  http://www.kernel.org/pub/linux/docs/manpages/Archive/man-pages-3.01.tar.bz2
     gpatch  ftp://ftp.mktemp.org/pub/mktemp/mktemp-1.5.tar.gz
     gpatch  http://www.kernel.org/pub/linux/utils/kernel/module-init-tools/module-init-tools-3.4.tar.bz2
     gpatch  ftp://invisible-island.net/ncurses/ncurses-5.6.tar.gz
     wget -c  ftp://alpha.gnu.org/gnu/diffutils/patch-2.5.9.tar.gz
     wget -c  http://ftp.funet.fi/pub/CPAN/src/perl-5.8.8.tar.bz2
     wget -c  http://procps.sourceforge.net/procps-3.2.7.tar.gz
     wget -c  http://downloads.sourceforge.net/psmisc/psmisc-22.6.tar.gz
     wget -c  http://ftp.gnu.org/gnu/readline/readline-5.2.tar.gz
     wget -c  http://ftp.gnu.org/gnu/sed/sed-4.1.5.tar.gz
     wget -c  ftp://pkg-shadow.alioth.debian.org/pub/pkg-shadow/shadow-4.1.2.tar.bz2
     wget -c  http://www.infodrom.org/projects/sysklogd/download/sysklogd-1.5.tar.gz
     wget -c  ftp://ftp.cistron.nl/pub/people/miquels/sysvinit/sysvinit-2.86.tar.gz
     wget -c  http://ftp.gnu.org/gnu/tar/tar-1.20.tar.bz2
     wget -c  http://downloads.sourceforge.net/tcl/tcl8.4.16-src.tar.gz
     wget -c  http://ftp.gnu.org/gnu/texinfo/texinfo-4.11.tar.bz2
     wget -c  ftp://mama.indstate.edu/linux/tree/old/tree-1.5.1.1.tgz
     wget -c  http://www.kernel.org/pub/linux/utils/kernel/hotplug/udev-124.tar.bz2
     wget -c  http://www.kernel.org/pub/linux/utils/util-linux-ng/v2.14/util-linux-ng-2.14.tar.bz2
     wget -c  ftp://ftp.vim.org/pub/vim/unix/vim-7.1.tar.bz2
     wget -c  ftp://ftp.vim.org/pub/vim/extra/vim-7.1-lang.tar.gz
     wget -c  http://www.zlib.net/zlib-1.2.3.tar.gz

 wget -c  ftp://alpha.gnu.org/gnu/grub/grub-0.97.tar.gz 

   wget -c  $PATCHSERV/bash-3.2-fixes-8.patch

     wget -c  $PATCHSERV/coreutils-6.9-suppress_uptime_kill_su-1.patch
     wget -c  $PATCHSERV/coreutils-6.9-uname-1.patch
     wget -c  $PATCHSERV/expect-5.43.0-spawn-2.patch
 


     wget -c  $PATCHSERV/glibc-2.7-branch_update-1A.patch

     wget -c  $PATCHSERV/inetutils-1.5-no_server_man_pages-2.patch
     wget -c  $PATCHSERV/linux-2.6.24.7-security_fixes-1.patch
     wget -c  $PATCHSERV/mktemp-1.5-add_tempfile-3.patch
     wget -c  $PATCHSERV/module-init-tools-3.4-manpages-1.patch
     wget -c  $PATCHSERV/ncurses-5.6-bash_fix-1.patch
     wget -c  $PATCHSERV/ncurses-5.6-branch_update-3.patch
     wget -c  $PATCHSERV/perl-5.8.8-gcc42_fix-1.patch
     wget -c  $PATCHSERV/perl-5.8.8-libc-2.patch
     wget -c  $PATCHSERV/perl-5.8.8-no_page_h-1.patch
     wget -c  $PATCHSERV/perl-5.8.8-security_fixes-1.patch
     wget -c  $PATCHSERV/readline-5.2-fixes-4.patch
     wget -c  $PATCHSERV/texinfo-4.11-mbstate_fix-1.patch
     wget -c  $PATCHSERV/vim-7.1-branch_update-2.patch
     wget -c  $PATCHSERV/zlib-1.2.3-fPIC-1.patch 



     wget -c  $PATCHSERV/grub-0.97-256byte_inode-1.patch
     wget -c  $PATCHSERV/grub-0.97-fixes-1.patch
     wget -c  $PATCHSERV/grub-0.97-use_mmap-1.patch
     wget -c  $PATCHSERV/iproute2-2.6.23-libdir-1.patch
     wget -c  $PATCHSERV/perl-5.8.8-Configure_multilib-1.patch
     wget -c  $PATCHSERV/udev-124-lib64-2.patch 
fi
