mkdir /tools/include

get(){
#echo http $1 
#echo name $2
#echo ext $3
echo "********************** GET $2"
# poner comando manual para sacar este if si hace falta rebajar 
if ! test -e $BAJAR/$2$3; then
  echo wget  -P${BAJAR}  -c $1$2$3  
  wget  -P${BAJAR}  -c $1$2$3
fi

DIRE=$2
if test "x$4" != x ; then 
DIRE=$4
fi
echo existe ${ABRIR}/$DIRE
if ! test -d ${ABRIR}/$DIRE; then
echo "***************************************************************************** tar $2$3"
if test "x$3" = x.tar.gz  ; then
  echo tar -zxvf ${BAJAR}/$2$3 -C ${ABRIR}
  tar -zxvf ${BAJAR}/$2$3 -C${ABRIR}
else
  echo tar -jxvf ${BAJAR}/$2$3 -C ${ABRIR}
  tar -jxvf ${BAJAR}/$2$3 -C${ABRIR}
fi
fi
echo "***********"
pwd
echo escriba algo y de enter:
read XXX
}


gpatch(){
if ! test -e ${BAJAR}/$2; then  
   echo wget  -P${BAJAR} -c $1$2
   wget  -P${BAJAR} -c $1$2
fi
cd  ${ABRIR}/$3
patch -Np1 -i ../$2

}

eglibc(){
if test "x$EGLIBC" = x32; then
mkdir -v ../eglibc-build
cd ../eglibc-build
cat > config.cache << "EOF"
libc_cv_forced_unwind=yes
libc_cv_c_cleanup=yes
libc_cv_gnu89_inline=yes
EOF


BUILD_CC="gcc" CC="${CLFS_TARGET}-gcc ${BUILD32}" \
    AR="${CLFS_TARGET}-ar" RANLIB="${CLFS_TARGET}-ranlib" \
    CFLAGS="-march=$(cut -d- -f1 <<< $CLFS_TARGET32) -mtune=generic -g -O2" \
    ../eglibc-2.10.1/configure --prefix=/tools \
    --host=${CLFS_TARGET32} --build=${CLFS_HOST} \
    --disable-profile --enable-add-ons \
    --with-tls --enable-kernel=2.6.0 --with-__thread \
    --with-binutils=/cross-tools/bin --with-headers=/tools/include \
    --cache-file=config.cache

else
mkdir -v ../eglibc-build2
cd ../eglibc-build2
cat > config.cache << "EOF"
libc_cv_forced_unwind=yes
libc_cv_c_cleanup=yes
libc_cv_gnu89_inline=yes
EOF



#eglibc 64
echo "slibdir=/tools/lib64" >> configparms
BUILD_CC="gcc" CC="${CLFS_TARGET}-gcc ${BUILD64}" \
    AR="${CLFS_TARGET}-ar" RANLIB="${CLFS_TARGET}-ranlib" \
    ../eglibc-2.10.1/configure --prefix=/tools \
    --host=${CLFS_TARGET} --build=${CLFS_HOST} --libdir=/tools/lib64 \
    --disable-profile --enable-add-ons \
    --with-tls --enable-kernel=2.6.0 --with-__thread \
    --with-binutils=/cross-tools/bin --with-headers=/tools/include \
    --cache-file=config.cache
fi
}


confgcc424(){
if test "x$XGCC" = xPRE ; then 
XEXTRA="--disable-shared --disable-threads --enable-languages=c"
else
XEXTRA="--enable-shared --enable-threads=posix --enable-languages=c,c++ --enable-__cxa_atexit  --enable-long-long --enable-c99"
fi
if ! test -e Makefile; then
../gcc-4.2.4/configure --prefix=/cross-tools \
    --target=${CLFS_TARGET} --host=${CLFS_HOST} \
    --with-local-prefix=/tools --disable-nls \
    --enable-c99  $XEXTRA
fi
}

confgcc(){
if test "x$XGCC" = xSTATIC ; then 

mkdir -pv ../gcc-build
cd ../gcc-build

touch /tools/include/limits.h


XEXTRA=" --disable-shared --enable-languages=c  --without-headers --with-newlib --disable-decimal-float   --disable-libgomp --disable-libmudflap --disable-libssp   --disable-threads"
else
###### habra que borrarla? no parece touch /tools/include/limits.h
mkdir -pv ../gcc-build2
cd ../gcc-build2

XEXTRA=" --enable-shared  --enable-languages=c,c++  --enable-__cxa_atexit --enable-c99  --enable-long-long --enable-threads=posix"
fi
if ! test -e Makefile; then
#poner mas lenguajes

#AR=ar LDFLAGS="-Wl,-rpath,/cross-tools/lib" \
#  ../gcc-4.4.2/configure --prefix=/cross-tools \
#  --build=${CLFS_HOST} --host=${CLFS_HOST} --target=${CLFS_TARGET} \
#  --with-sysroot=${CLFS} --with-local-prefix=/tools --disable-nls \
#  --disable-shared --with-mpfr=/cross-tools --with-gmp=/cross-tools \
#  --with-ppl=/cross-tools --with-cloog=/cross-tools \
#  --without-headers --with-newlib --disable-decimal-float \
#  --disable-libgomp --disable-libmudflap --disable-libssp \
#  --disable-threads --enable-languages=c

#AR=ar LDFLAGS="-Wl,-rpath,/cross-tools/lib" \
#  ../gcc-4.4.2/configure --prefix=/cross-tools \
#  --build=${CLFS_HOST} --target=${CLFS_TARGET} --host=${CLFS_HOST} \
#  --with-sysroot=${CLFS} --with-local-prefix=/tools --disable-nls \
#  --enable-shared --enable-languages=c,c++ --enable-__cxa_atexit \
#  --with-mpfr=/cross-tools --with-gmp=/cross-tools --enable-c99 \
#  --with-ppl=/cross-tools --with-cloog=/cross-tools \
#  --enable-long-long --enable-threads=posix

#####3 ver esto, no adivina host???
AR=ar LDFLAGS="-Wl,-rpath,/cross-tools/lib" \
  ../gcc-4.4.2/configure --prefix=/cross-tools \
  --build=${CLFS_HOST} --target=${CLFS_TARGET} --host=${CLFS_HOST} \
  --with-sysroot=${CLFS} --with-local-prefix=/tools --disable-nls \
  --with-mpfr=/cross-tools --with-gmp=/cross-tools \
  --with-ppl=/cross-tools --with-cloog=/cross-tools \
  $XEXTRA
fi



if test "x$XGCC" = xSTATIC ; then 
 make all-gcc  all-target-libgcc
 make install-gcc  install-target-libgcc
else
 make AS_FOR_TARGET="${CLFS_TARGET}-as" \
    LD_FOR_TARGET="${CLFS_TARGET}-ld"
 make install
fi
}

##################################################################################################
#if no existe

#su - clfs

#386 Compatibles  	 Not Supported By Glibc
#486 Compatibles 	i486-pc-linux-gnu
#Pentium, K6, 586 Compatibles 	i586-pc-linux-gnu
#Pentium II, Pentium III, Pentium 4 	i686-pc-linux-gnu
#Athlon, Duron 	i686-pc-linux-gnu 

rm ~/.bashrc 
#cat > ~/.bash_profile << "EOF"
#exec env -i HOME=${HOME} TERM=${TERM} PS1='\u:\w\$ ' /bin/bash
#EOF
# sale de aca, cambiar
# esto no fuciona hay cosas en set
#source ~/.bash_profile


source /etc/clfs.dat

# When logged on as user clfs, the initial shell is usually a login shell which reads the /etc/profile of the host (probably containing some settings and environment variables) and then .bash_profile. The exec env -i.../bin/bash command in the .bash_profile file replaces the running shell with a new one with a completely empty environment, except for the HOME, TERM, and PS1 variables. This ensures that no unwanted and potentially hazardous environment variables from the host system leak into the build environment. The technique used here achieves the goal of ensuring a clean environment.

#The new instance of the shell is a non-login shell, which does not read the /etc/profile or .bash_profile files, but rather reads the .bashrc file instead. Create the .bashrc file now: 

#The set +h command turns off bash's hash function. Hashing is ordinarily a useful feature—bash uses a hash table to remember the full path of executable files to avoid searching the PATH time and again to find the same executable. However, the new tools should be used as soon as they are installed. By switching off the hash function, the shell will always search the PATH when a program is to be run. As such, the shell will find the newly compiled tools in /cross-tools as soon as they are available without remembering a previous version of the same program in a different location.

#Setting the user file-creation mask (umask) to 022 ensures that newly created files and directories are only writable by their owner, but are readable and executable by anyone (assuming default modes are used by the open(2) system call, new files will end up with permission mode 644 and directories with mode 755).

#The CLFS variable should be set to the chosen mount point.

#The LC_ALL variable controls the localization of certain programs, making their messages follow the conventions of a specified country. If the host system uses a version of Glibc older than 2.2.4, having LC_ALL set to something other than “POSIX” or “C” (during this chapter) may cause issues if you exit the chroot environment and wish to return later. Setting LC_ALL to “POSIX” or “C” (the two are equivalent) ensures that everything will work as expected in the chroot environment.

#By putting /cross-tools/bin at the beginning of the PATH, the cross-compiler built in Constructing Cross-Compile Tools will be picked up by the build process for the temp-system packages before anything that may be installed on the host. This, combined with turning off hashing, helps to ensure that you will be using the cross-compile tools to build the temp-system in /tools.

#Finally, to have the environment fully prepared for building the temporary tools, source the just-created user profile: 

#if no existe

#cd ${CLFS}/sources


BAJAR=${CLFS}/sources
ABRIR=${CLFS}/sources



#http://www.kernel.org/pub/linux/kernel/v2.6/linux-2.6.30.5.tar.bz2




PATCHSERV=http://patches.cross-lfs.org/dev
#/1.1.0
ADIR=`pwd`

#####################################################################

#if test 1 = 2 ; then  
# Installation of linux headers
install -dv /tools/include
NAME=linux-2.6.30.5
#NAME=linux-2.6.24.7
get  http://www.kernel.org/pub/linux/kernel/v2.6/ $NAME .tar.bz2
#http://www.kernel.org/pub/linux/kernel/v2.6/linux-2.6.30.5.tar.bz2


cd  ${CLFS}/sources/$NAME
make mrproper
make ARCH=x86_64 headers_check
make ARCH=x86_64 INSTALL_HDR_PATH=dest headers_install
cp -rv dest/include/* /tools/include
cd $ADIR




#Installation of File
NAME=file-5.03
#file-4.23
#get http://ftp.astron.com/pub/file/  $NAME .tar.gz  
get http://www.sfr-fresh.com/fresh/unix/misc/  $NAME .tar.gz  
#http://cross-lfs.org/files/packages/1.1.0/ $NAME .tar.gz

gpatch  $PATCHSERV/ file-5.03-cross_compile-1.patch $NAME

cd  ${CLFS}/sources/$NAME
if ! test -e Makefile; then
./configure --prefix=/cross-tools
fi
make
make install
cd $ADIR



# ncurses

NAME=ncurses-5.7
get http://ftp.gnu.org/pub/gnu/ncurses/ $NAME .tar.gz
gpatch $PATCHSERV/  ncurses-5.7-bash_fix-1.patch $NAME
gpatch $PATCHSERV/  ncurses-5.7-branch_update-20.patch $NAME
#patch -Np1 -i ../ncurses-5.7-bash_fix-1.patch
cd  ${CLFS}/sources/$NAME
./configure --prefix=/cross-tools \
    --without-debug --without-shared
make -C include
make -C progs tic
#Install tic with the following command:
install -m755 progs/tic /cross-tools/bin
cd $ADIR


# GMP

NAME=gmp-4.3.1
get http://ftp.gnu.org/gnu/gmp/ $NAME  .tar.bz2
cd  ${CLFS}/sources/$NAME
CPPFLAGS=-fexceptions ./configure \
    --prefix=/cross-tools --enable-cxx
make
#make check
make install
cd $ADIR



# MPFR

NAME=mpfr-2.4.1
get http://gforge.inria.fr/frs/download.php/18438/ $NAME .tar.bz2
gpatch  $PATCHSERV/ mpfr-2.4.1-branch_update-2.patch $NAME
cd  ${CLFS}/sources/$NAME
LDFLAGS="-Wl,-rpath,/cross-tools/lib" \
./configure --prefix=/cross-tools \
    --enable-shared --with-gmp=/cross-tools
make
make install
cd $ADIR



# PPL

NAME=ppl-0.10.2
get http://www.cs.unipr.it/ppl/Download/ftp/releases/0.10.2/ $NAME .tar.bz2
cd  ${CLFS}/sources/$NAME
LDFLAGS="-Wl,-rpath,/cross-tools/lib" \
    ./configure --prefix=/cross-tools --enable-shared \
    --enable-interfaces="c,cxx" --disable-optimization \
    --with-libgmp-prefix=/cross-tools \
    --with-libgmpxx-prefix=/cross-tools
make
make install
cd $ADIR

# CLOOG

NAME=cloog-ppl-0.15.7
get http://gcc-uk.internet.bs/infrastructure/ $NAME .tar.gz
#get http://gcc.gnu.org/pub/gcc/infrastructure/ $NAME .tar.gz
cd  ${CLFS}/sources/$NAME
cp -v configure{,.orig}
sed "/LD_LIBRARY_PATH=/d" configure.orig > configure
LDFLAGS="-Wl,-rpath,/cross-tools/lib" \
    ./configure --prefix=/cross-tools --enable-shared --with-bits=gmp \
    --with-gmp=/cross-tools --with-ppl=/cross-tools
make
make install
cd $ADIR

#################################################3
#cross binutils
NAME=binutils-2.20
#binutils-2.18
get  http://ftp.gnu.org/gnu/binutils/ $NAME  .tar.bz2
#The following patches merges all updates from the 2.20 Branch from the Binutils developers:
gpatch  $PATCHSERV/ $NAME-branch_update-1.patch $NAME
#The following patch makes Binutils search in both the lib and lib64 directories in a multilib environment:
#gpatch  $PATCHSERV/ binutils-2.18-posix-1.patch $NAME
#The Binutils documentation recommends building Binutils outside of the source directory in a dedicated build directory:
gpatch $PATCHSERV/ $NAME-genscripts_multilib-1.patch $NAME
cd  ${CLFS}/sources/$NAME
mkdir -pv ../binutils-build
cd ../binutils-build
# no adivina host?
echo "AR=ar AS=as ../$NAME/configure --prefix=/cross-tools 
   --host=${CLFS_HOST} --target=${CLFS_TARGET} --with-lib-path=/tools/lib 
   --disable-nls --enable-shared --enable-64-bit-bfd --with-sysroot=${CLFS}"
if ! test -e Makefile; then
AR=ar AS=as ../$NAME/configure --prefix=/cross-tools \
   --host=${CLFS_HOST} --target=${CLFS_TARGET} --with-lib-path=/tools/lib \
   --disable-nls --enable-shared --enable-64-bit-bfd --with-sysroot=${CLFS}
fi
#    This checks the host environment and makes sure all the necessary tools are available to compile Binutils.
make configure-host
make
make install
cp -v ../$NAME/include/libiberty.h /tools/include
cd $ADIR

#fi
#exit
################################################################################
#Static GCC
#NAME=gcc-4.2.4
NAME=gcc-4.4.2
echo $NAME
#ftp://gcc.gnu.org/pub/gcc/releases/gcc-4.4.2/gcc-4.4.2.tar.bz2
get  http://ftp.gnu.org/gnu/gcc/$NAME/ $NAME .tar.bz2

gpatch $PATCHSERVER/ gcc-4.4.2-branch_update-1.patch $NAME
#Change the StartFile Spec to point to the correct library location:
gpatch  $PATCHSERV/ $NAME-specs-1.patch $NAME
#To make sure that a couple of tools use the proper syntax, apply the following patch:
gpatch  $PATCHSERV/ $NAME-posix-1.patch $NAME
#The following patch ensures that gcc does not search the /usr directory for libgcc_s.so when cross-compiling:
#gpatch  $PATCHSERV/ gcc-4.2.4-cross_search_paths-1.patch $NAME
cd  ${CLFS}/sources/$NAME

#echo "
##undef STARTFILE_PREFIX_SPEC
##define STARTFILE_PREFIX_SPEC \"/tools/lib/\"" >> gcc/config/linux.h

echo -en '#undef STANDARD_INCLUDE_DIR\n#define STANDARD_INCLUDE_DIR "/tools/include/"\n\n' >> gcc/config/linux.h
echo -en '\n#undef STANDARD_STARTFILE_PREFIX_1\n#define STANDARD_STARTFILE_PREFIX_1 "/tools/lib/"\n' >> gcc/config/linux.h
echo -en '\n#undef STANDARD_STARTFILE_PREFIX_2\n#define STANDARD_STARTFILE_PREFIX_2 ""\n' >> gcc/config/linux.h


#Now alter gcc's c preprocessor's default include search path to use /tools only:

cp -v gcc/Makefile.in{,.orig}
sed -e "s@\(^CROSS_SYSTEM_HEADER_DIR =\).*@\1 /tools/include@g" \
    gcc/Makefile.in.orig > gcc/Makefile.in

#The GCC documentation recommends building GCC outside of the source directory in a dedicated build directory:

#Prepare GCC for compilation:

XGCC=STATIC
confgcc
cd $ADIR


##########################################################################33
# eglibc 32


NAME=eglibc-2.10.1
echo $NAME
get http://cross-lfs.org/files/packages/svn/ $NAME-20090825-r8873 .tar.bz2 $NAME
gpatch $PATCHSERV/ eglibc-2.10.1-20090825-r8873-fixes-1.patch $NAME
cd  ${CLFS}/sources/$NAME
cp -v Makeconfig{,.orig}
sed -e 's/-lgcc_eh//g' Makeconfig.orig > Makeconfig
EGLIBC=32
eglibc
make 
make install
cd $ADIR


cd  ${CLFS}/sources/$NAME
EGLIBC=64
eglibc
make 
make install
cd $ADIR

##############################################################################3
NAME=gcc-4.4.2
echo $NAME
cd  ${CLFS}/sources/$NAME
XGCC=DYNAMIC
confgcc
cd $ADIR



###############################################################3
exit
##############################################################################


# glibc

confglib(){
if test "x$XLIB" = x64 ; then 
   #Tell Glibc to install its 64-bit libraries into /tools/lib64:
   echo "slibdir=/tools/lib64" >> configparms
   XLIBDIR="--libdir=/tools/lib64" 
   XCFLAG=
   XBUILD=${BUILD64}
   XCLFST=${CLFS_TARGET}
 else
   XLIBDIR= 
   XCFLAG="CFLAGS=\"-march=$(cut -d- -f1 <<< $CLFS_TARGET32) -mtune=generic -g -O2\" "
   XBUILD=${BUILD32}
   XCLFST=${CLFS_TARGET32}
fi
#Prepare Glibc for compilation:
if ! test -e Makefile; then
BUILD_CC="gcc" CC="${CLFS_TARGET}-gcc ${XBUILD}" \
    AR="${CLFS_TARGET}-ar" RANLIB="${CLFS_TARGET}-ranlib" \
    $XCFLAG\
    ../glibc-2.7/configure --prefix=/tools \
    --host=${CLFST} --build=${CLFS_HOST} $XLIBDIR \
    --disable-profile --enable-add-ons \
    --with-tls --enable-kernel=2.6.0 --with-__thread \
    --with-binutils=/cross-tools/bin --with-headers=/tools/include \
    --cache-file=config.cache
fi
}

###############################3
NAME=glibc-2.7
get  http://ftp.gnu.org/gnu/glibc/ $NAME .tar.bz2
#he following patch fixes an issue that can cause localdef to segfault:
gpatch  $PATCHSERV/ glibc-2.7-libgcc_eh-1.patch $NAME
#he Glibc documentation recommends building Glibc outside of the source directory in a dedicated build directory:
gpatch  $PATCHSERV/ glibc-2.7-localedef_segfault-1.patch $NAME
ADIR=`pwd`
cd  ${CLFS}/sources/$NAME

mkdir -pv ../glibc-build
cd ../glibc-build

#glib 32
#The following lines need to be added to config.cache for Glibc to support NPTL:
echo "libc_cv_forced_unwind=yes" > config.cache
echo "libc_cv_c_cleanup=yes" >> config.cache
XLIB=32
confglib
make
make install

mkdir -pv ../glibc-build2
cd ../glibc-build2

#rm -r ../glibc-build/*

#glib64
#The following lines need to be added to config.cache for Glibc to support NPTL:
echo "libc_cv_forced_unwind=yes" > config.cache
echo "libc_cv_c_cleanup=yes" >> config.cache
XLIB=64
confglib
make
make install

cd $ADIR
###########################3

#gcc
NAME= gcc-4.2.4
echo $NAME
gpatch  $PATCHSERV/ gcc-4.2.4-PR31490-1.patch $NAME
# Installation of GCC Cross Compiler


cd  ${CLFS}/sources/$NAME
#Finally, disable -B in configure so wrong architecture libraries are not picked up, as -B is not expanded by the multilib spec:
cp -v configure{,.orig}
sed -e  '/FLAGS_FOR_TARGET.*\/lib\//s@-B[^ ]*/lib/@@g' configure.orig > \
    configure

mkdir  -pv ../gcc-build2
cd ../gcc-build2
#Prepare GCC for compilation:

XGCC=NORMAL
confgcc

make AS_FOR_TARGET="${CLFS_TARGET}-as" \
    LD_FOR_TARGET="${CLFS_TARGET}-ld"
make install
cd $ADIR

#########################

exit;

     gpatch  http://ftp.gnu.org/gnu/autoconf/autoconf-2.61.tar.bz2
     gpatch  http://ftp.gnu.org/gnu/automake/automake-1.10.1.tar.bz2
     gpatch  http://ftp.gnu.org/gnu/bash/bash-3.2.tar.gz
     gpatch  http://ftp.gnu.org/gnu/bash/bash-doc-3.2.tar.gz

     gpatch  http://ftp.gnu.org/gnu/bison/bison-2.3.tar.bz2
     gpatch  http://www.bzip.org/1.0.4/bzip2-1.0.4.tar.gz
     gpatch  http://cross-lfs.org/files/packages/1.1.0/bootscripts-cross-lfs-1.1.0.tar.bz2
     gpatch  http://ftp.gnu.org/gnu/coreutils/coreutils-6.9.tar.bz2
     gpatch  http://ftp.gnu.org/gnu/dejagnu/dejagnu-1.4.4.tar.gz
     gpatch  ftp://alpha.gnu.org/gnu/diffutils/diffutils-2.8.7.tar.gz
     gpatch  http://downloads.sourceforge.net/e2fsprogs/e2fsprogs-1.40.4.tar.gz
     gpatch  http://expect.nist.gov/src/expect-5.43.0.tar.gz

     gpatch  http://ftp.gnu.org/gnu/findutils/findutils-4.2.32.tar.gz
     gpatch  http://downloads.sourceforge.net/flex/flex-2.5.35.tar.bz2
     gpatch  http://ftp.gnu.org/gnu/gawk/gawk-3.1.6.tar.bz2

     gpatch  http://ftp.gnu.org/gnu/gettext/gettext-0.17.tar.gz

     gpatch  http://ftp.gnu.org/gnu/grep/grep-2.5.3.tar.bz2
     gpatch  http://ftp.gnu.org/gnu/groff/groff-1.19.2.tar.gz
     gpatch  http://ftp.gnu.org/gnu/gzip/gzip-1.3.12.tar.gz
     gpatch  http://www.sethwklein.net/projects/iana-etc/downloads/iana-etc-2.20.tar.bz2
     gpatch  http://ftp.gnu.org/gnu/inetutils/inetutils-1.5.tar.gz
     gpatch  http://developer.osdl.org/dev/iproute2/download/iproute2-2.6.23.tar.bz2
     gpatch  http://ftp.altlinux.com/pub/people/legion/kbd/kbd-1.13.tar.bz2
     gpatch  http://www.greenwoodsoftware.com/less/less-418.tar.gz
     gpatch  http://ftp.gnu.org/gnu/libtool/libtool-1.5.26.tar.gz

     gpatch  http://ftp.gnu.org/gnu/m4/m4-1.4.10.tar.bz2
     gpatch  http://ftp.gnu.org/gnu/make/make-3.81.tar.bz2
     gpatch  http://primates.ximian.com/~flucifredi/man/man-1.6e.tar.gz
     gpatch  http://www.kernel.org/pub/linux/docs/manpages/Archive/man-pages-3.01.tar.bz2
     gpatch  ftp://ftp.mktemp.org/pub/mktemp/mktemp-1.5.tar.gz
     gpatch  http://www.kernel.org/pub/linux/utils/kernel/module-init-tools/module-init-tools-3.4.tar.bz2
     gpatch  ftp://invisible-island.net/ncurses/ncurses-5.6.tar.gz
     wget -c  ftp://alpha.gnu.org/gnu/diffutils/patch-2.5.9.tar.gz
     wget -c  http://ftp.funet.fi/pub/CPAN/src/perl-5.8.8.tar.bz2
     wget -c  http://procps.sourceforge.net/procps-3.2.7.tar.gz
     wget -c  http://downloads.sourceforge.net/psmisc/psmisc-22.6.tar.gz
     wget -c  http://ftp.gnu.org/gnu/readline/readline-5.2.tar.gz
     wget -c  http://ftp.gnu.org/gnu/sed/sed-4.1.5.tar.gz
     wget -c  ftp://pkg-shadow.alioth.debian.org/pub/pkg-shadow/shadow-4.1.2.tar.bz2
     wget -c  http://www.infodrom.org/projects/sysklogd/download/sysklogd-1.5.tar.gz
     wget -c  ftp://ftp.cistron.nl/pub/people/miquels/sysvinit/sysvinit-2.86.tar.gz
     wget -c  http://ftp.gnu.org/gnu/tar/tar-1.20.tar.bz2
     wget -c  http://downloads.sourceforge.net/tcl/tcl8.4.16-src.tar.gz
     wget -c  http://ftp.gnu.org/gnu/texinfo/texinfo-4.11.tar.bz2
     wget -c  ftp://mama.indstate.edu/linux/tree/old/tree-1.5.1.1.tgz
     wget -c  http://www.kernel.org/pub/linux/utils/kernel/hotplug/udev-124.tar.bz2
     wget -c  http://www.kernel.org/pub/linux/utils/util-linux-ng/v2.14/util-linux-ng-2.14.tar.bz2
     wget -c  ftp://ftp.vim.org/pub/vim/unix/vim-7.1.tar.bz2
     wget -c  ftp://ftp.vim.org/pub/vim/extra/vim-7.1-lang.tar.gz
     wget -c  http://www.zlib.net/zlib-1.2.3.tar.gz

 wget -c  ftp://alpha.gnu.org/gnu/grub/grub-0.97.tar.gz 

   wget -c  $PATCHSERV/bash-3.2-fixes-8.patch

     wget -c  $PATCHSERV/coreutils-6.9-suppress_uptime_kill_su-1.patch
     wget -c  $PATCHSERV/coreutils-6.9-uname-1.patch
     wget -c  $PATCHSERV/expect-5.43.0-spawn-2.patch
 


     wget -c  $PATCHSERV/glibc-2.7-branch_update-1A.patch

     wget -c  $PATCHSERV/inetutils-1.5-no_server_man_pages-2.patch
     wget -c  $PATCHSERV/linux-2.6.24.7-security_fixes-1.patch
     wget -c  $PATCHSERV/mktemp-1.5-add_tempfile-3.patch
     wget -c  $PATCHSERV/module-init-tools-3.4-manpages-1.patch
     wget -c  $PATCHSERV/ncurses-5.6-bash_fix-1.patch
     wget -c  $PATCHSERV/ncurses-5.6-branch_update-3.patch
     wget -c  $PATCHSERV/perl-5.8.8-gcc42_fix-1.patch
     wget -c  $PATCHSERV/perl-5.8.8-libc-2.patch
     wget -c  $PATCHSERV/perl-5.8.8-no_page_h-1.patch
     wget -c  $PATCHSERV/perl-5.8.8-security_fixes-1.patch
     wget -c  $PATCHSERV/readline-5.2-fixes-4.patch
     wget -c  $PATCHSERV/texinfo-4.11-mbstate_fix-1.patch
     wget -c  $PATCHSERV/vim-7.1-branch_update-2.patch
     wget -c  $PATCHSERV/zlib-1.2.3-fPIC-1.patch 



     wget -c  $PATCHSERV/grub-0.97-256byte_inode-1.patch
     wget -c  $PATCHSERV/grub-0.97-fixes-1.patch
     wget -c  $PATCHSERV/grub-0.97-use_mmap-1.patch
     wget -c  $PATCHSERV/iproute2-2.6.23-libdir-1.patch
     wget -c  $PATCHSERV/perl-5.8.8-Configure_multilib-1.patch
     wget -c  $PATCHSERV/udev-124-lib64-2.patch 
